[tool.poetry]
name = "configdb-server"
version = "1.11.0"
description = ""
authors = ["Jonas Schmeing <jonas.schmeing@cern.ch>"]
readme = "README.md"
packages = [{include = "configdb_server"}]

[tool.poetry.dependencies]
python = "^3.9.6"
sqlalchemy = "^2.0.29"
sqlalchemy-utils = "^0.41.1"
pytest = "^8.1.1"
pytest-cov = "^5.0.0"
alembic = "^1.13.1"
click = "^8.1.7"
pymysql = "^1.1.0"
better-abc = "^0.0.3"
oracledb = "^2.1.1"
mysql-connector-python = "^8.3.0"
psycopg2-binary = "^2.9.9"
module-qc-database-tools = "2.2.8"
urllib3 = ">=1.26.11,<2"

[tool.poetry.group.dev.dependencies]
pandas = "^2.2.1"
ipykernel = "^6.29.4"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.pytest.ini_options]
markers = ["test"]

[tool.black]
line-length = 160
